#
# spec file for package md5deep
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           hashdeep
Version:        4.4
Release:        5.4
Summary:        Compute MD5, SHA-1, SHA-256, Tiger or Whirlpool message digests
License:        SUSE-Public-Domain and GPL-2.0+
Group:          System/Base
Url:            http://md5deep.sourceforge.net/
Source0:        %{name}-release-%{version}.tar.gz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  python
BuildRequires:  python-devel
Requires:       python
Provides:       md5deep = %{version}
Obsoletes:      md5deep < %{version}
BuildRoot:      %{_tmppath}/%{name}-release-%{version}-build

%description
hashdeep is a program to compute, match, and audit hashsets.
md5deep computes the MD5, SHA-1, SHA-256, Tiger, or Whirlpool message digest
for any number of files while optionally recursively digging through the
directory structure. md5deep can also match input files against lists of known
hashes in a variety of formats.

%prep
%setup -q -n %{name}-release-%{version}

%build
sh bootstrap.sh
if test -x ./configure; then
     %configure
fi
make %{?_smp_mflags} CFLAGS="%{optflags}"

%install

%make_install

# create symlinks for man pages
%fdupes -s %{buildroot}/%{_mandir}
# create hardlinks for the rest
%fdupes %{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/hashdeep
%{_bindir}/md5deep
%{_bindir}/sha1deep
%{_bindir}/sha256deep
%{_bindir}/tigerdeep
%{_bindir}/whirlpooldeep
%{_mandir}/man1/hashdeep.1*
%{_mandir}/man1/md5deep.1*
%{_mandir}/man1/sha1deep.1*
%{_mandir}/man1/sha256deep.1*
%{_mandir}/man1/whirlpooldeep.1*
%{_mandir}/man1/tigerdeep.1*
%doc AUTHORS ChangeLog COPYING README NEWS

%changelog
* Tue Jul  1 2014 elchevive@opensuse.org
- updated to version 4.4
- package rename following upstream: md5deep->hashdeep
  * New Features
    Added case insensitive auditing with -E mode
  * Bug Fixes
    Added checks against user errors on Hashdeep command line
    Fixed bug for known filenames with the directory in the filename
    Fixed bug for double dots in the filename
* Fri Oct 26 2012 elchevive@opensuse.org
- updated to version 4.3
  * Bug Fixes
    Fixed check for endian-ness, affecting hash generation on
    big-endian platforms.
* Mon Jun 11 2012 elchevive@opensuse.org
- updated to version 4.2
  * Bug Fixes
    Fixed padding in Tiger hashes for large files
    Fixed hashdeep bug for known files with commas in their names.
    Cleaned up usage message
* Thu Feb 23 2012 elchevive@opensuse.org
- Updated to version 4.1
- Add smp_flags and optflags to make
- update licente tag
  * New Features
    Added expert mode option to parse Windows PE files
  * Bug Fixes
    Fixed junction point handling on Win32
* Wed Jan 25 2012 elchevive@opensuse.org
- Updated to version 4.0.1
  * Bug Fixes
    Fixed hang on DFXML generation on Win32
    Fixed incorrect hashes via stdin on Win32
    Fixed "Too many open files" error on OS X
    Doc files in Win32 have been corrected.
* Fri Jan 13 2012 elchevive@opensuse.org
- Updated to version 4.0.0
  * New Features
    Rewrote most of the program in C++.
    Enabled multiprocessor support on all platforms.
    Removed ten character limit on file size mode
  * Bug Fixes
    Too numerous to count!
* Wed Jul 27 2011 elchevive@opensuse.org
  * New Features
    Added a warning message when running 32-bit versions of the
    programs on a 64-bit system.
  * Bug Fixes
    Fixed a cosmetic bug in the hashdeep header.
* Mon Jun  6 2011 elchevive@opensuse.org
- Updated to version 3.9.1
* Thu May 12 2011 elchevive@opensuse.org
- Remove licenses dep. from spec file
* Mon May  2 2011 elchevive@opensuse.org
- Updated to version 3.9
* Mon Dec 27 2010 elchevive@opensuse.org
- Updated to version 3.7
* Sun Sep 19 2010 elchevive@opensuse.org
- Initial package
